> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Webhook Endpoint

Retrieves a webhook endpoint.

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.chargeapi.co/v1/webhook_endpoints/wh_xeDB6AfMS2lsJ2EWBPXTaGQIiBV4bW46 \
    -H "Authorization: Bearer ch_sk_test_..."
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "wh_xeDB6AfMS2lsJ2EWBPXTaGQIiBV4bW46",
      "object": "webhook_endpoint",
      "api_version": "2026-03-01",
      "application": null,
      "created": "2026-04-01T00:15:19.009Z",
      "description": null,
      "enabled_events": ["report.succeeded", "reservation.confirmed"],
      "livemode": false,
      "metadata": {},
      "secret": "whsec_GsBj9TK2XnLA1MFQHadquPSTKnjxkwI8",
      "status": "enabled",
      "url": "https://example.com/webhook/endpoint"
  }
  ```
</ResponseExample>

## Parameters

No parameters.

## Returns

Returns the webhook endpoint.
